/**************************************************************************
 *
 * FragLevelConvert.h -- converting between fragment and document numbers
 * Copyright (C) 1999  Rodger McNab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: FragLevelConvert.h 855 2000-01-14 02:17:52Z sjboddie $
 *
 **************************************************************************/

#ifndef FRAGLEVELCONVERT_H
#define FRAGLEVELCONVERT_H

#include <stdio.h>
#include "UCArray.h"


class FragLevelConvert {
protected:
  // note fragment start is one before before real start
  vector<unsigned long> levelStarts;
  unsigned long numFrags;
  unsigned long numLevelDocs;
  
public:
  FragLevelConvert ();

  bool Read (FILE *invfFile, unsigned long levelPtr,
	     unsigned long _numFrags, unsigned long _numLevelDocs);

  bool FragToLevel (unsigned long fragNum, unsigned long &levelDocNum) const;
};


#endif
